# Draw
TKDraw
Draw

# Draw_Number Class Reference

To store nummbers in variables.
.

`#include <Draw_Number.hxx>`

Inheritance diagram for Draw_Number:

[legend]

## Public Member Functions

Standard_EXPORT | Draw_Number (const Standard_Real V)
Standard_EXPORT Standard_Real | Value () const
Standard_EXPORT void | Value (const Standard_Real V)
Standard_EXPORT void | DrawOn (Draw_Display &dis) const
| Does nothhing, .
virtual Standard_EXPORT Handle_Draw_Drawable3D | Copy () const
| For variable copy. .
virtual Standard_EXPORT void | Dump (Standard_OStream &S) const
| For variable dump. .
virtual Standard_EXPORT void | Whatis (Draw_Interpretor &I) const
| For variable whatis command. Set as a result the type of the variable. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Real | myValue

## Constructor & Destructor Documentation

Standard_EXPORT Draw_Number::Draw_Number | ( | const Standard_Real | V | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_Draw_Drawable3D Draw_Number::Copy | ( |  | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void Draw_Number::DrawOn | ( | Draw_Display & | dis | ) | const`[virtual]`

| Implements Draw_Drawable3D.

virtual Standard_EXPORT void Draw_Number::Dump | ( | Standard_OStream & | S | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT const Draw_Number::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Draw_Drawable3D.

Standard_EXPORT void Draw_Number::Value | ( | const Standard_Real | V | ) |

Standard_EXPORT Standard_Real Draw_Number::Value | ( |  | ) | const

virtual Standard_EXPORT void Draw_Number::Whatis | ( | Draw_Interpretor & | I | ) | const`[virtual]`

| Reimplemented from Draw_Drawable3D.

## Field Documentation

Standard_Real Draw_Number::myValue `[private]`

The documentation for this class was generated from the following file:

- Draw_Number.hxx